# Uses of Interface
org.eclipse.birt.core.framework.IPlatform

Packages that use IPlatform
Package
Description
org.eclipse.birt.core.framework
Defines the platform interfaces that allow BIRT to be run in Eclipse and server environments.

## Uses of IPlatform in org.eclipse.birt.core.framework

Fields in org.eclipse.birt.core.framework declared as IPlatform
Modifier and Type
Field
Description
`protected static IPlatform`
Platform.`platform`
Methods in org.eclipse.birt.core.framework with parameters of type IPlatform
Modifier and Type
Method
Description
`static void`
Platform.`setPlatform(IPlatform platform)`
this class can only be called by org.eclipse.birt.core.plugin.CorePlugin#start(BundleContext)